org.apache.ignite.internal.processors.authentication

## Class UserManagementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.authentication.UserManagementException

All Implemented Interfaces:
  Serializable

    public class UserManagementException
    extends IgniteCheckedException

Exception that represents failures of user management operations.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UserManagementException(String msg)` Creates authentication exception with given error message.
`UserManagementException(String msg, @Nullable Throwable cause)` Creates authentication exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserManagementException

    public UserManagementException(String msg)

Creates authentication exception with given error message.

Parameters:
  `msg` - Error message.

#### UserManagementException

    public UserManagementException(String msg,
                                   @Nullable
                                   @Nullable Throwable cause)

Creates authentication exception with given error message.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020